---
title: Rendez-vous de l'info scientifique sur markdown
date: 2023-04-19T10:13:18+02:00
id: 20230419101340
tags: [rdv-info, documentation, markdown]
---

## [Markdown, introduction et compléments][projet]

Ce répertoire contient le matériel utilisé pour les [deux « rendez-vous de
l'info scientifique » sur Markdown][rdv] proposés par la bibliothèque de
l'Université de Genève :

- [L'introduction à la prise de notes][intro].
- [Aller plus loin avec Markdown][avancé].

## Pré-requis

- `pandoc`.
- `pagedjs-cli` (`npm install -g puppeteer pagedjs pagedjs-cli`).

## Génération du PDF

Lancer les commandes depuis le répertoire contenant le fichier source au format
Markdown, soit `./intro`, soit `./avancé`.

Pour générer le fichier HTML à servir par un serveur web pour le visualiser
dans le navigateur, il faut utiliser `pandoc` avec les paramètres suivants (à
adapter au fichier à générer) :

```bash
pandoc --standalone --to=html \
       --template=../template.html --css=../style.css \
       --toc --toc-depth=2 --citeproc \
       --output=intro.html intro.md
```

- `--standalone` pour obtenir tous les scritps javascript et les styles CSS
  nécessaires à l'interface de visualisation et à la mise en forme voulue dans
  le fichier HTML.
- `--to=html` pour convertir vers du HTML.
- `--template=` et `--css=` indiquent quels modèle et feuille de style
  utiliser.
- `--toc` et `--toc-depth=2` générent la table des matière en n'allant pas plus
  loin que les titres de niveau 2.
- `--citeproc` indique qu'il faut tenir compte des citations et générer la
  bibliographie.
- `--output=` précise où et à quel nom générer le fichier de sortie.

Pour générer directement le PDF :

```bash
pandoc --standalone --citeproc \
       --to=pdf --pdf-engine=pagedjs-cli \
       --css=../style.css --toc --toc-depth=2 \
       --output=intro.pdf intro.md
```

La différence ici est le format de destination (PDF) et le fait d'utiliser
`pagedjs-cli` comme outil de composition du PDF.

[projet]: ./
[rdv]: https://www.unige.ch/biblio/index.php?cID=4127 "Présentation des 2 rendez-vous sur le site de la bibliothèque de l'Université de Genève"
[intro]: ./intro/intro.md
[avancé]: ./avancé/avancé.md
